Subject: bug#48627: closed (Re: bug#48627: Qt6 Base and Module Updates)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Aug 2022 04:18:02 +0000

Your bug report

#48627: Qt6 Base and Module Updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48627: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48627: Qt6 Base and Module Updates
From: Maxim Cournoyer <[email-masked]>
To: Eric Brown <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, phodina <[email-masked]>
Date: Mon, 01 Aug 2022 00:17:02 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Eric and Petr,

Eric Brown <[email-masked]> writes:

> phodina <[email-masked]> writes:
>
>> Hi,
>>
>> thanks for the work. I've started rebasing the patches and unfortunately there are many conflicts due to removing input labels.
>>
>> However, here's first few patches. More will follow. The link to the branch is on my github repo [1]
>>
>> Btw Eric are you still interested in upstreaming this?
>>
>> [1] https://github.com/phodina/guix/tree/patch/qt6-updates
>>
>> ----
>> Petr
>
> Hello Petr,
>
> Sorry for the delay getting back to you. I hope you have gone forward
> with this in the interim.  I am interested in Qt6 hitting master but my
> trail has grown a bit cold, and so please run with it.  I will take a
> look at what you have ASAP.

I've now merged https://issues.guix.gnu.org/56771, which includes
multiple Qt 6 upgrades.  I'm thus closing this ticket.  Feedback
welcome!

Maxim

Subject: Qt6 Base and Module Updates
From: "Eric Brown" <[email-masked]>
To: [email-masked]
Date: Mon, 24 May 2021 10:44:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello All,

This is the first email introducing a patch set for Qt6 updates.  Maxim Couyer did the hard work of patching qtbase and showing a way to migrate gradually away from Qt5 (sorry this is not branched off those patches).  The other patches aim to replace existing Qt5 packages with their Qt6 analogues, and also add the Qt5Compat module.

In subsequent patches, I would like to complete the additional modules which round out Qt 6.1.0 "everywhere" .

Known issues:
* qtcontrols2 and qtdatavis3d do not build but I think need a few tweaks potentially identified in Qt bugtracker.

Best regards,
Eric